# Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2018
# Heiko Bernloehr (FreeIT.de).
#
# This file is part of ECS.
#
# ECS is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ECS is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with ECS. If not, see <http://www.gnu.org/licenses/>.

namespace :cc do
  desc "Create CampusConnect ressources"
  task :ressources => :environment do
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'courselinks',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","courselinks").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'course_members',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","course_members").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'courses',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","courses").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'terms',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","terms").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'directory_trees',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","directory_trees").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'organisation_units',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","organisation_units").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'course_urls',
      :postroute => false,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","course_urls").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'categories',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","categories").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'files',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","files").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'glossaries',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","glossaries").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'groups',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","groups").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'learningmodules',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","learningmodules").nil?
    Ressource.create :namespace => 'campusconnect',
      :ressource => 'wikis',
      :postroute => true,
      :events => true if Ressource.find_by_namespace_and_ressource("campusconnect","wikis").nil?
  end
end
